Skip to contentSkip to navigationSkip to topbar
Page toolsOn this page
Looking for more inspiration?Visit the

Delete a Sender Identity


API Overview

api-overview page anchor
(warning)

Legacy Marketing Campaigns

This covers the obsolete Legacy Marketing Campaigns API.

(information)

Use the Sender Identities API

To learn more about the Sender Identities API, see the Marketing Campaigns Senders API.

To protect your sending reputation and to uphold legitimate sending behavior, Twilio SendGrid requires customers to verify their Sender Identities. Use either Domain Authentication or Single Sender Verification.


DELETE/v3/senders/{sender_id}

Base url: https://api.sendgrid.com (The Twilio SendGrid v3 API)

This endpoint allows you to delete one of your sender identities.


Authentication

authentication page anchor
Property nameTypeRequiredDescription
Authorizationstring
required
Default: Bearer <<YOUR_API_KEY_HERE>>

on-behalf-ofstring

Optional

The on-behalf-of header allows you to make API calls from a parent account on behalf of the parent's Subusers or customer accounts. You will use the parent account's API key when using this header. When making a call on behalf of a customer account, the property value should be "account-id" followed by the customer account's ID (e.g., on-behalf-of: account-id <account-id>). When making a call on behalf of a Subuser, the property value should be the Subuser's username (e.g., on-behalf-of: <subuser-username>). See On Behalf Of for more information.

Property nameTypeRequiredDescription
sender_idinteger
required

The ID of the sender identity that you want to retrieve.

204403404
No response body.
Delete a Sender IdentityLink to code sample: Delete a Sender Identity
1
const client = require("@sendgrid/client");
2
client.setApiKey(process.env.SENDGRID_API_KEY);
3
4
const sender_id = 42;
5
6
const request = {
7
url: `/v3/senders/${sender_id}`,
8
method: "DELETE",
9
};
10
11
client
12
.request(request)
13
.then(([response, body]) => {
14
console.log(response.statusCode);
15
console.log(response.body);
16
})
17
.catch((error) => {
18
console.error(error);
19
});